summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Lopatin <alopatindev@gmail.com>2020-01-17 23:04:41 +0300
committerAndreas Sturmlechner <asturm@gentoo.org>2020-01-18 18:16:00 +0100
commit13e5bc8128bba087654adf8f9c131666ba451fe4 (patch)
treeab70ece46a4efbecdbeb3b0993032b523643796a /dev-util
parentnet-news/rssguard: Fix USE webengine (diff)
downloadgentoo-13e5bc8128bba087654adf8f9c131666ba451fe4.tar.gz
gentoo-13e5bc8128bba087654adf8f9c131666ba451fe4.tar.bz2
gentoo-13e5bc8128bba087654adf8f9c131666ba451fe4.zip
dev-util/qdevicemonitor: fix build with Qt 5.14
Closes: https://bugs.gentoo.org/705438 Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Alexander Lopatin <alopatindev@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/14357 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch1
-rw-r--r--dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch1
-rw-r--r--dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-screen-geometry-is-deprecated.patch39
-rw-r--r--dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r2.ebuild52
4 files changed, 93 insertions, 0 deletions
diff --git a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
index 00c4dc1cdf3..e01dbf97ba2 100644
--- a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
+++ b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-crash-after-fresh-install.patch
@@ -3,6 +3,7 @@ From: Alexander Lopatin <alopatindev@gmail.com>
Date: Fri, 13 Jul 2018 18:37:42 +0300
Subject: [PATCH] fix crash that happens after fresh installation
+Signed-off-by: Alexander Lopatin <alopatindev@gmail.com>
---
qdevicemonitor/devices/DeviceFacade.cpp | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch
index 47d9a017f7a..fb3df7689d2 100644
--- a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch
+++ b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-qt-5.11.patch
@@ -3,6 +3,7 @@ From: Alexander Lopatin <alopatindev@gmail.com>
Date: Fri, 13 Jul 2018 18:30:21 +0300
Subject: [PATCH] fix Qt 5.11 specific issue https://bugs.gentoo.org/660932
+Signed-off-by: Alexander Lopatin <alopatindev@gmail.com>
---
qdevicemonitor/ui/MainWindow.cpp | 1 +
1 file changed, 1 insertion(+)
diff --git a/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-screen-geometry-is-deprecated.patch b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-screen-geometry-is-deprecated.patch
new file mode 100644
index 00000000000..9b9b46320fe
--- /dev/null
+++ b/dev-util/qdevicemonitor/files/qdevicemonitor-1.0.1-screen-geometry-is-deprecated.patch
@@ -0,0 +1,39 @@
+From 08985f03236a70b35b03b2749cabbd45398e968b Mon Sep 17 00:00:00 2001
+From: Alexander Lopatin <alopatindev@gmail.com>
+Date: Thu, 16 Jan 2020 11:26:38 +0300
+Subject: [PATCH] Fix "error: const QRect QDesktopWidget::screenGeometry(int)
+ const is deprecated: Use QGuiApplication::screens()
+ [-Werror=deprecated-declarations]" https://bugs.gentoo.org/705438
+
+Signed-off-by: Alexander Lopatin <alopatindev@gmail.com>
+---
+ qdevicemonitor/ui/MainWindow.cpp | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/qdevicemonitor/ui/MainWindow.cpp b/qdevicemonitor/ui/MainWindow.cpp
+index 4266de6..69d4433 100644
+--- a/qdevicemonitor/ui/MainWindow.cpp
++++ b/qdevicemonitor/ui/MainWindow.cpp
+@@ -29,6 +29,7 @@
+ #include <QFileInfo>
+ #include <QMessageBox>
+ #include <QProcess>
++#include <QScreen>
+ #include <QSettings>
+ #include <QStringList>
+ #include <QTabBar>
+@@ -181,9 +182,9 @@ void MainWindow::loadSettings()
+ {
+ setGeometry(geom.toRect());
+ }
+- else
++ else if (!qApp->screens().isEmpty())
+ {
+- QRect geom = qApp->desktop()->screenGeometry();
++ QRect geom = qApp->screens()[0]->availableVirtualGeometry();
+ const int screenWidth = geom.width();
+ const int screenHeight = geom.height();
+ geom.setWidth(int(screenWidth * 0.7f));
+--
+2.21.0
+
diff --git a/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r2.ebuild b/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r2.ebuild
new file mode 100644
index 00000000000..fd543ed3980
--- /dev/null
+++ b/dev-util/qdevicemonitor/qdevicemonitor-1.0.1-r2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit desktop qmake-utils
+
+DESCRIPTION="Crossplatform log viewer for Android, iOS and text files"
+HOMEPAGE="https://github.com/alopatindev/qdevicemonitor"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/alopatindev/${PN}"
+else
+ SRC_URI="https://github.com/alopatindev/qdevicemonitor/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-util/android-tools
+ app-pda/usbmuxd"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-qt-5.11.patch
+ "${FILESDIR}"/${P}-crash-after-fresh-install.patch
+ "${FILESDIR}"/${P}-screen-geometry-is-deprecated.patch
+)
+
+src_configure() {
+ cd "${PN}" || die
+ export VERSION_WITH_BUILD_NUMBER="${PV}"
+ eqmake5
+}
+
+src_compile() {
+ cd "${PN}" || die
+ emake
+}
+
+src_install() {
+ dobin "${PN}/${PN}"
+ dodoc README.md
+ newicon -s scalable "icons/app_icon.svg" "${PN}.svg"
+ domenu "icons/${PN}.desktop"
+}